com.pixelmed.network

## Class NetworkApplicationInformation

- java.lang.Object
- - com.pixelmed.network.NetworkApplicationInformation

Direct Known Subclasses:
  NetworkApplicationInformationFederated

    public class NetworkApplicationInformation
    extends java.lang.Object

This class encapsulates information about DICOM network devices.

### Field Summary

Fields
`static java.lang.String` `propertyName_DicomRemoteAEs`
`static java.lang.String` `resourceName_PublicStorageSCPs`

### Constructor Summary

Constructors
Constructor and Description
`NetworkApplicationInformation()` Construct an empty container for properties of DICOM network devices.
`NetworkApplicationInformation(java.util.Properties properties)` Extract the DICOM network properties from the supplied properties.

### Method Summary

Methods
`void` `add(java.lang.String localName, ApplicationEntity ae)` Add a new AE.
`void` `add(java.lang.String localName, java.lang.String aeTitle, java.lang.String hostname, int port, java.lang.String queryModel, java.lang.String primaryDeviceType)` Add a new AE.
`void` `addAll(NetworkApplicationInformation infoToAdd)` Add all the entries in the supplied map except any that are already present.
`void` `addAll(java.util.Properties properties)` Extract the DICOM network properties from the supplied properties.
`void` `addPublicStorageSCPs()`
`ApplicationEntityMap` `getApplicationEntityMap()` Return the application entity map.
`java.lang.String` `getApplicationEntityTitleFromLocalName(java.lang.String localName)` Find the AET an application entity given its local name.
`java.lang.String` `getLDIFRepresentation(java.lang.String rootDN)` Make an LDAP LDIF representation of the network information.
`java.util.Set` `getListOfApplicationEntityTitlesOfApplicationEntities()` Return the set of local names of application entities.
`java.util.Set` `getListOfLocalNamesOfApplicationEntities()` Return the set of local names of application entities.
`java.lang.String` `getLocalNameFromApplicationEntityTitle(java.lang.String aet)` Find the local name of an application entity given its AET.
`java.util.Properties` `getProperties(java.util.Properties properties)` Retrieve the DICOM network properties.
`void` `remove(java.lang.String localName)` Remove an AE.
`void` `removeAll()` Completely empty all information.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### resourceName_PublicStorageSCPs

    public static final java.lang.String resourceName_PublicStorageSCPs

See Also:
  Constant Field Values

#### propertyName_DicomRemoteAEs

    public static final java.lang.String propertyName_DicomRemoteAEs

See Also:
  Constant Field Values

### Constructor Detail

#### NetworkApplicationInformation

    public NetworkApplicationInformation()

Construct an empty container for properties of DICOM network devices.

#### NetworkApplicationInformation

    public NetworkApplicationInformation(java.util.Properties properties)
                                  throws DicomNetworkException

Extract the DICOM network properties from the supplied properties.

Parameters:
  `properties` -
Throws:
  `DicomNetworkException`

### Method Detail

#### addPublicStorageSCPs

    public void addPublicStorageSCPs()
                              throws java.io.IOException,
                                     DicomNetworkException

Throws:
  `java.io.IOException`
  `DicomNetworkException`

#### addAll

    public void addAll(java.util.Properties properties)
                throws DicomNetworkException

Extract the DICOM network properties from the supplied properties.

Parameters:
  `properties` -
Throws:
  `DicomNetworkException`

#### getProperties

    public java.util.Properties getProperties(java.util.Properties properties)

Retrieve the DICOM network properties.

param properties the existing properties to add to (removing any properties already there), or null if none

Returns:
  the updated properties or a new set of properties if none supplied

#### removeAll

    public void removeAll()

Completely empty all information.

#### remove

    public void remove(java.lang.String localName)

Remove an AE.

Parameters:
  `localName` -

#### add

    public void add(java.lang.String localName,
           ApplicationEntity ae)
             throws DicomNetworkException

Add a new AE.

Parameters:
  `localName` -
  `ae` -
Throws:
  `DicomNetworkException` - if local name or AET already used, or either is null or empty

#### add

    public void add(java.lang.String localName,
           java.lang.String aeTitle,
           java.lang.String hostname,
           int port,
           java.lang.String queryModel,
           java.lang.String primaryDeviceType)
             throws DicomNetworkException

Add a new AE.

Parameters:
  `localName` -
  `aeTitle` -
  `port` -
  `queryModel` - null if unknown
  `primaryDeviceType` - null if unknown
Throws:
  `DicomNetworkException` - if local name or AET already used, or either is null or empty

#### addAll

    public void addAll(NetworkApplicationInformation infoToAdd)

Add all the entries in the supplied map except any that are already present.

Parameters:
  `infoToAdd` - the information to add

#### getApplicationEntityMap

    public ApplicationEntityMap getApplicationEntityMap()

Return the application entity map.

Returns:
  the application entity map

#### getListOfLocalNamesOfApplicationEntities

    public java.util.Set getListOfLocalNamesOfApplicationEntities()

Return the set of local names of application entities.

Returns:
  the set of local names

#### getListOfApplicationEntityTitlesOfApplicationEntities

    public java.util.Set getListOfApplicationEntityTitlesOfApplicationEntities()

Return the set of local names of application entities.

Returns:
  the set of local names

#### getApplicationEntityTitleFromLocalName

    public java.lang.String getApplicationEntityTitleFromLocalName(java.lang.String localName)

Find the AET an application entity given its local name.

Parameters:
  `localName` - the local name of the AE
Returns:
  the AET, or null if none

#### getLocalNameFromApplicationEntityTitle

    public java.lang.String getLocalNameFromApplicationEntityTitle(java.lang.String aet)

Find the local name of an application entity given its AET.

Parameters:
  `aet` - the application entity title
Returns:
  the local name, or null if none

#### getLDIFRepresentation

    public java.lang.String getLDIFRepresentation(java.lang.String rootDN)

Make an LDAP LDIF representation of the network information.

Parameters:
  `rootDN` - the root distinguished name to attach the DICOM configuration information below
Returns:
  a String containing the text of the LDIF representation, suitable for feeding into a utility like `ldapadd`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`